| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Public Attributes
Tp::BaseFunctorCaller< T, Functor > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/callbacks.h>`

Inherits Tp::AbstractFunctorCaller.

List of all members.

## Public Member Functions

- BaseFunctorCaller (const Functor &functor, AbstractFunctorCaller::HookType invokeMethodHook)
- virtual ~BaseFunctorCaller ()
- virtual AbstractFunctorCaller * clone () const

## Public Attributes

- Functor functor

### template<class T, class Functor>
struct Tp::BaseFunctorCaller< T, Functor >

## Constructor & Destructor Documentation

template<class T, class Functor>

Tp::BaseFunctorCaller< T, Functor >::BaseFunctorCaller | ( | const Functor & | functor,
|  | AbstractFunctorCaller::HookType | invokeMethodHook
| ) |  | `[inline]`

template<class T, class Functor>

virtual Tp::BaseFunctorCaller< T, Functor >::~BaseFunctorCaller | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T, class Functor>

virtual AbstractFunctorCaller* Tp::BaseFunctorCaller< T, Functor >::clone | ( |  | ) | const`[inline, virtual]`

Implements Tp::AbstractFunctorCaller.

## Member Data Documentation

template<class T, class Functor>

Functor Tp::BaseFunctorCaller< T, Functor >::functor